#pragma once
#include <afxdialogex.h>
#include <HwmAgentNotifyDef.h>
#include <vector>


// demoSubCycleConfList 对话框

class demoSubCycleConfList : public CDialogEx
{
	DECLARE_DYNAMIC(demoSubCycleConfList)

public:
	demoSubCycleConfList(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoSubCycleConfList();
    void SetConfInfo(const hwmsdkagent::HwmConfDetail& confInfo, std::vector<hwmsdkagent::HwmSubCycleConfParam>& subCycleConf);
    void GetConfInfo();
// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SUB_CYCLE_CONFLIST_DIALOG};
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    virtual BOOL OnInitDialog();

    void UpdataSubConfList();

    afx_msg void OnNMClick(NMHDR *pNMHDR, LRESULT *pResult);
	DECLARE_MESSAGE_MAP()
private:
    CListCtrl m_conflistCtrl;
    CEdit m_editSubCycleConf;
    CEdit m_cancelSubcycleConf;
    hwmsdkagent::HwmConfDetail m_confInfo;
    std::vector<hwmsdkagent::HwmSubCycleConfParam> m_subCycleConf;
    std::string m_subCycleConfID;
public:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCancel();
};
